Marketing Cloud API
Fire an Entry Event
Single-Send Journeys
Address: Validate Email
Assets: Simple Query
Assets: Advanced Query
Assets: Use Case Examples for Enhanced Content Search
Assets: Create Category
Assets: Get Categories
Assets: Delete Asset
Assets: Get Category by ID
Assets: Update Category by ID
Assets: Delete Category by ID
Audit: Get Audit Events
Audit: Get Security Events
Auth: Get Base URLs
Auth: Get User Info
Campaigns: Create Campaign
Campaigns: Get Campaign Collection
Campaigns: Get Campaign
Campaigns: Delete Campaign
Campaigns: Associate Asset to Campaign
Campaigns: Get Collection of Campaign Assets
Campaigns: Get Campaign Asset
Campaigns: Unassociate Asset from Campaign
Chat Messaging: Send Message to Recipient
Chat Messaging: Retrieve Sent Message by MessageId
Chat Messaging: Register OTT Property
Chat Messaging: Retrieve Registration Property by Platform and Id
Chat Messaging: Retrieve Registration Collection by Platform
Contacts: Get Schemas Collection
Contacts: Create Contacts
Contacts: Update Contacts
Contacts: Insert Attribute Values by ID
Contacts: Update Attribute Values by ID
Contacts: Get Contact Key for Email Addresses
Contacts: Search Attribute Sets by Name
Contacts: Search Attribute Groups by Schema
Contacts: Get Custom Object Info
Contacts: Search Attribute Group ID by Schema
Contacts: Search Attribute Set Definitions
Contacts: Get or Create Contacts by Key and Type
Contacts: Configure Settings for Deleting Contacts
Contacts: Delete Contacts by ID
Contacts: Delete Contacts by Key
Contacts: Delete Contacts by List Reference
Contacts: Get Status of the Contact Delete Operation
Contacts: Get Contact Delete Requests Details
Contacts: Get Contact Delete Requests Summary
Contacts: Retry Failed Delete Request
Contacts: Restrict Contacts by ID
Contacts: Restrict Contacts by Key
Contacts: Restrict Contacts by List Reference
Contacts: Get Status of the Contact Restrict Operation
Contacts: Retry Failed Restrict Request
Contacts: Remove Contact from a Journey
Contacts: Get Contact's Exit Status from a Journey
Contacts: Get List of Journeys the Contact is in
Contacts: Add Contact Preferences
Contacts: Add Contact Preferences by Contact ID
Contacts: Get Contact Preferences by Contact ID
Contacts: Search Contact Preferences by Reference Type
Contacts: Get Contact Preferences by Contact Key
Domain Verification: Domain Verification Bulk Insert
Domain Verification: Retrieve List of Verified Domains
Domain Verification: Create Record in an Authenticated Domain
Domain Verification: Update Record in an Authenticated Domain
Domain Verification: Delete User Domain From Addresses
Domain Verification: Check if Domain Exists
Domain Verification: Register Domain for Validation
Domain Verification: Registered Domain Inheritance
Event Notification: Create Callback
Event Notification: Verify Callback
Event Notification: Get Callback
Event Notification: Update Callback
Event Notification: Delete Callback
Event Notification: Get All Callbacks
Event Notification: Create Subscription
Event Notification: Delete Subscription
Event Notification: Get Subscription
Event Notification: Get All Subscriptions for a Callback
Event Notification: Update Subscription
Event Notification: Regenerate Signature Key
Interaction: Retrieve REST Discovery Document
Interaction: Insert Journey
Interaction: Search Journeys
Interaction: Update Journey Version
Interaction: Create Event Definition
Interaction: Fire the Event
Interaction: Get Journey
Interaction: Delete Journey
Interaction: Get Journey Audit Log
Interaction: Get Publish Status
Interaction: Stop a Journey
Interaction: Pause a Journey by Definition ID
Interaction: Pause a Journey by Definition Key
Interaction: Resume a Journey by Definition ID
Interaction: Resume a Journey by Definition Key
Interaction: Publish a Journey Version
Interaction: Remove Contact from a Journey
Interaction: Get the Status of Removing a Contact from a Journey
Messaging: Send Email
Messaging: Get Email Delivery Details
Objects: Create Nested Tags
Objects: Get Nested Tags
Objects: Get Nested Tag By ID
Objects: Update Nested Tags
Objects: Patch Nested Tags
Objects: Delete Nested Tags
Objects: Create Tags
Objects: Delete Tags
Platform: Get Endpoints
Platform: Get Token Context
Platform: Get Endpoint
Platform: Get Keys
Platform: Create or Import Key
Platform: Get Key Types
Platform: Get Wrapping Key
Platform: Get Key By ID
Platform: Delete Key By Key ID
Push: Create Push Message
Push: Get Push Messages
Push: Create Location
Push: Get Locations
Push: Get App Info
Push: Update Push Message
Push: Delete Push Message
Push: Get Push Message
Push: Get Specific Location
Push: Update Location
Push: Delete Location
Push: Get Custom Keys
Push: Update Custom Keys
Push: Delete Custom Keys
Push: Refresh List
Push: Send Message to All
Push: Send Message to Tagged Users
Push: Send Message to List
Push: Update Custom Key
Push: Delete Custom Key
Push: Send Message to Mobile Devices in Batch
Push: Send Message to Mobile Devices
Push: Get Refresh List Status
Push: Get Delivery Status of MessageApp
Push: Get Delivery Status of MessageTag
Push: Get Delivery Status of MessageList
Push: Get Delivery Status of MessageContact
SMS: Create Keyword
SMS: Queue MO Message
SMS: Delete Keyword by ID
SMS: Post Message to List
SMS: Import and Send Message
SMS: Get Subscription Status
SMS: Post Message to Number
SMS: Get Tracking History of Queued MO
SMS: Queue Contact Import
SMS: Refresh List
SMS: Delete Keyword by Longcode
SMS: Get Delivery Status of Queued MO
SMS: Get Message List Status
SMS: Get ImportSend Status
SMS: Create ImportSend Delivery Report
SMS: Create MessageList Delivery Report
SMS: Get Refresh List Status
SMS: Get Import Status
SMS: Delete Keyword by Shortcode
SMS: Get Message Contact Status
SMS: Get Message Contact History
Transactional Messaging: Email - Get Send Definition by Key
Transactional Messaging: Email - Create Send Definition
Transactional Messaging: Email - Update Message Definition
Transactional Messaging: Email - Delete Message Definition
Transactional Messaging: Email - Get a List of Definitions
Transactional Messaging: Email - Get Queue Metrics for a Definition
Transactional Messaging: Email - Delete Messages Queued for a Definition
Transactional Messaging: Email - Send a Message to Multiple Recipients
Transactional Messaging: Email - Send a Message to a Single Recipient
Transactional Messaging: Email - Get Message Send Status for Recipient
Transactional Messaging: Email - Get List of Messages Not Sent to Recipients
Transactional Messaging: SMS - Get Send Definition by Key
Transactional Messaging: SMS - Create Send Definition
Transactional Messaging: SMS - Update Message Definition
Transactional Messaging: SMS - Delete Message Definition
Transactional Messaging: SMS - Get a List of Definitions
Transactional Messaging: SMS - Get Queue Metrics for a Definition
Transactional Messaging: SMS - Delete Messages Queued for a Defintion
Transactional Messaging: SMS - Send a Message to Multiple Recipients
Transactional Messaging: SMS - Send a Message to a Single Recipient
Transactional Messaging: SMS - Get Message Send Status for Recipient
Transactional Messaging: SMS - Get List of Messages Not Sent to Recipients
REST API Permission IDs and Scopes
POST /contacts/v1/contacts/actions/delete/configSettings
Overview
Sets the configuration settings for the Contact Delete framework and components.
| Name | Type | Description | |
|---|---|---|---|
| items | array | Required | Key value pairs of configuration settings you are modifying. |
| items.SettingKey | string | Required | Configuration setting key to modify. This key supports only the SuppressionRestoreUntilDays value. |
| items.Value | string | Required | Value of the setting to modify. A value of -1 = 0 days. A value of 1 = 1 day. |
Usage
Example Request
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/contacts/actions/delete/configSettings
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"items" : [{
"settingKey" : "SuppressionRestoreUntilDays",
"value" : "-1"
}
]
}Example Response
HTTP/1.1 200 Ok
{
"rowsEffected": 1,
"requestServiceMessageID": "c23e6308-1115-4655-aa83-da59712e40eb",
"responseDateTime": "2018-03-15T12:08:36.9709486-04:00",
"resultMessages": [],
"serviceMessageID": "57813e4a-3fa7-4058-9118-4c85752bbaf1"
}
Last Updated: Jun 8, 2021